It says i do not have the requirements for windows 11 when i do

%3CLINGO-SUB%20id%3D%22lingo-sub-2534798%22%20slang%3D%22en-US%22%3EIt%20says%20i%20do%20not%20have%20the%20requirements%20for%20windows%2011%20when%20i%20do%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-2534798%22%20slang%3D%22en-US%22%3E%3CP%3Eit%20is%20saying%20i%20do%20not%20meet%20the%20hardware%20requirements%20when%20i%20am%20very%20sure%20i%20do.%20i%20payed%201.9K%20for%20my%20pc%20and%20i%20verified%20all%20my%20parts%20meet%20the%20hardware%20requirements.%20any%20help%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-2534837%22%20slang%3D%22en-US%22%3ERe%3A%20It%20says%20i%20do%20not%20have%20the%20requirements%20for%20windows%2011%20when%20i%20do%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-2534837%22%20slang%3D%22en-US%22%3EWindows%2011%20requires%20a%20TPM%202.0%20module%20check%20that%20your%20motherboard%20has%20such%20a%20module%20and%20that%20it%20is%20enabled%20in%20the%20BIOS.%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-2556242%22%20slang%3D%22en-US%22%3ERe%3A%20It%20says%20i%20do%20not%20have%20the%20requirements%20for%20windows%2011%20when%20i%20do%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-2556242%22%20slang%3D%22en-US%22%3EHi!!%20I%20do%20meet%20the%20requirements%2C%20including%20TPM%202.0%2C%20and%20still%20says%20I%20don't.%3CBR%20%2F%3E%3CBR%20%2F%3EIs%20there%20anything%20wrong%20with%20the%20code%20that%20checks%20so%3F%3C%2FLINGO-BODY%3E
Occasional Visitor

it is saying i do not meet the hardware requirements when i am very sure i do. i payed 1.9K for my pc and i verified all my parts meet the hardware requirements. any help?

4 Replies

Windows 11 requires a TPM 2.0 module check that your motherboard has such a module and that it is enabled in the BIOS.

 

Windows 11 Specifications - Microsoft

Hi!! I do meet the requirements, including TPM 2.0, and still says I don't.

Is there anything wrong with the code that checks so?
Make sure UEFI and secure boot is enabled on your system.
It is, and if I check tpm.msc, it shows as ready for use, and version 2.0